Locator: SDO_UTIL=ORA-29540: Class Oracle/Spatial/Util/Adapters Does Not Exist (Doc ID 400982.1)

Last updated on OCTOBER 31, 2013

Applies to:

Oracle Spatial and Graph - Version 10.1.0.2 to 10.2.0.3 [Release 10.1 to 10.2]
Information in this document applies to any platform.
***Checked for relevance on 26-Oct-200***
***Checked for relevance on 01-Nov-2013***


Symptoms

In Oracle 10g with Oracle Locator installed, use of SDO_UTIL via SQL*Plus fails:

SQL> select SDO_UTIL.FROM_WKTGEOMETRY('POINT(10 10)') from dual;
select SDO_UTIL.FROM_WKTGEOMETRY('POINT(10 10)') from dual
*
ERROR at line 1:
ORA-29540: class oracle/spatial/util/Adapters does not exist
ORA-06512: at "MDSYS.SDO_UTIL", line 137

If Oracle Spatial is installed, this works.  However, it is desired that only Locator be installed.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms